Grafana Cloud

Load zones REST API

Note

The documentation for this API is also available as an OpenAPI description.

List all load zones

GET /cloud/v6/load_zones

List all load zones.

Request parameters

NameDescriptionInRequiredType
X-Stack-Id

Numeric ID of the Grafana stack representing the request scope.

  • If the API is called with a Personal API token, the user must be a member of the specified stack.
  • If the API is called with a Grafana Stack API token, the value must be the ID of the corresponding stack.
headertrueinteger
k6_load_zone_idFilter results by k6 load zone ID (exact match).queryfalsestring

200 response

OK.

Content types: application/json

LoadZonesListApiModel properties:

NameDescriptionRequiredType
valueList of the resulting values.trueArray[LoadZoneApiModel]

LoadZoneApiModel properties:

NameDescriptionRequiredType
availableWhether the load zone can be used to start tests.trueboolean
custom_load_runner_imageCustom load runner image. Only set for private load zones.truestring | null
idID of the load zone.trueinteger , format: int64
k6_load_zone_idID used to identify the load zone in the k6 scripts.truestring
nameName of the load zone.truestring
publicWhether the load zone is public or private.trueboolean